<div mat-dialog-content>
  <mat-form-field>
    <input matInput placeholder="{{data}}" [formControl]="name">
  </mat-form-field>
</div>
<div mat-dialog-actions>
  <button mat-button (click)="close()">Cancel</button>
  <button mat-button [disabled]="!name.valid" (click)="create()" cdkFocusInitial>Create</button>
</div>